#if defined(__18F8722)
	#include <p18f8722.h>
#else
	#error  "PIC-TYP ist nicht richtig!"
#endif

//---------------------------------------------------------------------
// Set configuration bits 
//
//	- set HS oscillator
//	- disable watchdog timer
//	- disable low voltage programming
//---------------------------------------------------------------------
//
#pragma config OSC = HS		
#pragma config BOREN = OFF	
#pragma config WDT = OFF  		//Watchdog Timer 
#pragma config LVP = OFF  		//Low Voltage ICSP 
#pragma config PWRT = OFF
//#pragma config DEBUG = ON

#define SET_BIT(var,bit)  ( (var) |=   (1<<(bit)) )
#define DEL_BIT(var,bit)  ( (var) &= ~ (1<<(bit)) )
#define TEST_BIT(var,bit) ( (var) &    (1<<(bit)) )

#define MaxFifoBuffer 16

ram unsigned int 		*FifoAdresse[MaxFifoBuffer];
ram unsigned char 	FifoPortBitNr[MaxFifoBuffer];
ram unsigned char 	BusSpiOutput[MaxFifoBuffer];

ram unsigned int 	*FifoZeiger;

ram unsigned char	FifoPortBit;
ram unsigned char	FifoByte;

unsigned char BitVariable[8] = 
{ 
	0b00000001, 
	0b00000010, 
	0b00000100, 
	0b00001000, 
	0b00010000, 
	0b00100000, 
	0b01000000, 
	0b10000000 
};



#pragma code

void main(void)
{
//
unsigned int i;
unsigned int y = 0;


  for (i=0; i<MaxFifoBuffer; i++)
    {
      BusSpiOutput[i] = 0;
      FifoZeiger = (unsigned int*)(void*)&BusSpiOutput[i];
      FifoAdresse[i]= FifoZeiger;
    }
  for (i=0; i<8; i++)
    {
      FifoPortBitNr[i] = i;
    }

	while(1)
	{
    for (i=0; i<MaxFifoBuffer; i++)
      {
      FifoZeiger = (unsigned int*)(void*)&BusSpiOutput[i];
        for (y=0; y<8; y++)
          {
          FifoPortBit = FifoPortBitNr[y];
          

*FifoZeiger |= BitVariable[FifoPortBit];
          
          SET_BIT(*FifoZeiger,FifoPortBit);
          SET_BIT(FifoByte,FifoPortBit);
          }
        for (y=0; y<8; y++)
          {
          FifoPortBit = FifoPortBitNr[y];

*FifoZeiger &= ~ BitVariable[FifoPortBit];

          DEL_BIT(*FifoZeiger,FifoPortBit);
          DEL_BIT(FifoByte,FifoPortBit);
          }
      }
	}
//
//	---->>>>	..... 
}
/*  **********	END main()  */
